## python-echo 0.11.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Echo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Echo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Echo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Echo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-echo 0.5

=== debian/changelog ===
python-echo (0.5-2) unstable; urgency=medium

  * debian/control: Fix wrong VCS-Git url

 -- Josue Ortega <josue@debian.org>  Sat, 24 Oct 2020 10:46:47 -0600

python-echo (0.5-1) unstable; urgency=low

  * Initial release. Closes: #971284

 -- Josue Ortega <josue@debian.org>  Mon, 28 Sep 2020 15:00:16 -0600

=== debian/control ===
Source: python-echo
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-setuptools-scm,
 python3-numpy,
 python3-pytest
Standards-Version: 4.5.0
Homepage: https://echo.readthedocs.io
Rules-Requires-Root: no
X-Python3-Version: >= 3.8
Vcs-Browser: https://salsa.debian.org/debian/python-echo
Vcs-Git: https://salsa.debian.org/debian/python-echo.git

Package: python3-echo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Description: Callback Properties in Python
 Python Echo is a small library for attaching callback functions to property
 state changes.
 The main features of Echo are:
  - A simple, property-like interface to monitor state changes.
  - Decorator syntax to create callback property getter/setter methods,
    similar to @property.
  - Context managers to delay or ignore callback events.
  - Helper functions to connect callback properties to GUI elements
    (at the moment only Qt is supported).

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=echo

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# disable upstream tests due to a dependency on an installed
	# display server

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/echo/echo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-echo 0.9.0

=== debian/changelog ===
python-echo (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * debian/patch: 00_remove-deprecated-lib.patch
  * debian/control:
    - Add new dependencies: python3-qtpy and python3-pyqt5
    - Change Maintainer and add new uploader
    - Change Vcs-Browser and Vcs-Git
  * debian/copyright: Add date to uploaders and add a new one
  * debian/upstream/metadata: Add Bug-Submit link
  * debian/watch: Update watch version

 -- Thais Reboucas de Araujo <thaysreb@gmail.com>  Wed, 26 Mar 2025 21:42:04 -0300

python-echo (0.5-2.1) unstable; urgency=medium

  * Non-maintainer Upload
  * Use dh-sequence-python3
  * Add explicit runtime dep. on python3-pkg-resources
    to untangle "numpy" migration.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.7.0, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 16 Jan 2025 21:29:36 +0100

=== debian/control ===
Source: python-echo
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
           Thais Reboucas de Araujo <thaysreb@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-setuptools-scm,
 python3-numpy,
 python3-pytest,
 python3-qtpy,
 python3-pyqt5
Standards-Version: 4.7.0
Homepage: https://echo.readthedocs.io
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-echo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-echo.git

Package: python3-echo
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources,
 python3-qtpy,
 python3-pyqt5
Description: Callback Properties in Python
 Python Echo is a small library for attaching callback functions to property
 state changes.
 The main features of Echo are:
  - A simple, property-like interface to monitor state changes.
  - Decorator syntax to create callback property getter/setter methods,
    similar to @property.
  - Context managers to delay or ignore callback events.
  - Helper functions to connect callback properties to GUI elements
    (at the moment only Qt is supported).

## python-echo 0.11.0

=== debian/changelog ===
python-echo (0.11.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.11.0
  * Switch to pybuild-plugin-pyproject
  * Bump "Standards-Version" to 4.7.2
  * Drop "Rules-Requires-Root: no": this is the new default
  * Drop dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 13:33:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
  python3-setuptools-scm,
@@ -14,9 +15,8 @@
  python3-pytest,
  python3-qtpy,
  python3-pyqt5
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://echo.readthedocs.io
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-echo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-echo.git
 
@@ -26,7 +26,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-pkg-resources,
  python3-qtpy,
  python3-pyqt5
 Description: Callback Properties in Python

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=echo

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# disable upstream tests due to a dependency on an installed
	# display server

=== debian/tests/control ===
Tests: switch

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/echo/echo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
